Subject: arm-sdk: no serial console by default on rpi3

From: Gregory Nowak <[email-masked]>
Date: Thu, 25 May 2017 20:12:48 -0700

Package: arm-sdk
Severity: normal

Dear Maintainer,
This is a summary of:
<https://git.devuan.org/sdk/arm-sdk/issues/4>

The devuan_jessie_1.0.0_arm64_raspi3.img.xz image doesn't have a serial console enabled by default. While I understand this may not be desireable for all use cases, I think this should be noted, and documentation provided for those who want to enable the serial console. The discussion on this issue started here:
<https://lists.dyne.org/lurker/thread/20161213.035826.e049248a.en.html>

What needs to be done is described in the URL for the issue given above. What I will do in this bug report is describe what I feel needs to be done so that someone with a rpi3 on armhf or arm64 could simply uncomment one line in /boot/config.txt to activate both the serial port, and also the serial console

1. Bugs 87 and 88 need to be resolved:
<https://bugs.devuan.org/db/87/87.html>
<https://bugs.devuan.org/db/88/88.html>

2. The cmdline.txt file on the first partition of the sd card should read as follows:
--- begin cmdline.txt ---
dwc_otg.fiq_fix_enable=2 console=serial0,115200 kgdboc=serial0,115200 console=tty1 root=/dev/mmcblk0p2 rootfstype=ext4 rootwait rootflags=noload net.ifnames=0 quiet
--- end cmdline.txt ---

The config.txt file on the first partition of the sd card should read as follows:
--- begin config.txt ---
## memory shared with the GPU
gpu_mem=64

## always audio
dtparam=audio=on

## maximum amps on usb ports
max_usb_current=1

# uncomment the next line to enable the serial port on the rpi3
#enable_uart=1
--- end config.txt ---

The last line of /etc/inittab currently reads:

T0:23:respawn:/sbin/agetty -L /dev/ttyAMA0 115200 vt100

It would instead read:

T0:23:respawn:/sbin/agetty --no-terminate -L /dev/serial0 115200 vt100

Once all this is done, enabling the serial console on the rpi3 would be as simple as uncommenting enable_uart=1 in config.txt.

-- System Information:

Architecture: aarch64

Kernel: Linux 4.10.0-rc5-v8+ (SMP w/4 CPU cores; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)